Bug 196155 - [ews-build] use lz4 compression for improving buildbot performance
Summary: [ews-build] use lz4 compression for improving buildbot performance
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Aakash Jain
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-03-22 11:24 PDT by Aakash Jain
Modified: 2020-11-18 18:03 PST (History)
7 users (show)

See Also:


Attachments
Patch (1.11 KB, patch)
2019-03-22 11:26 PDT, Aakash Jain
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aakash Jain 2019-03-22 11:24:54 PDT
Buildbot by default use ‘gz’ for log compression (this is used by default even if we don’t configure logCompressionMethod in master.cfg).

lz4 is much faster than gz (~10x faster). 6MB/s vs 77MB/s at http://docs.buildbot.net/latest/manual/configuration/global.html#log-handling

We should switch to lz4 to improve performance.
Comment 1 Aakash Jain 2019-03-22 11:26:06 PDT
Created attachment 365749 [details]
Patch
Comment 2 Aakash Jain 2019-03-22 11:26:23 PDT
Related: <rdar://problem/33416017>
Comment 3 WebKit Commit Bot 2019-03-25 15:03:36 PDT
Comment on attachment 365749 [details]
Patch

Clearing flags on attachment: 365749

Committed r243463: <https://trac.webkit.org/changeset/243463>
Comment 4 WebKit Commit Bot 2019-03-25 15:03:37 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-03-25 15:04:17 PDT
<rdar://problem/49231332>